---
title: Element.hasPointerCapture()
slug: Web/API/Element/hasPointerCapture
tags:
  - API
  - DOM
  - Element
  - Method
  - PointerEvent
  - Reference
  - hasPointerCapture
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>hasPointerCapture()</code></strong> method of the {{domxref("Element")}} interface sets whether the element on which it is invoked has pointer capture for the pointer identified by the given pointer ID.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>targetElement</em>.hasPointerCapture(<em>pointerId</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>pointerId</code></dt>
 <dd>The {{domxref("PointerEvent.pointerId", "pointerId")}} of a {{domxref("PointerEvent")}} object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Boolean")}} value — <code>true</code> if the element does have pointer capture, <code>false</code> if it doesn't.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: html">&lt;html&gt;
  &lt;script&gt;
    function downHandler(ev) {
      const el = document.getElementById("target");
      // Element 'target' will receive/capture further events
      el.setPointerCapture(ev.pointerId);

      /* ... */

      // Check whether element still has pointer capture
      let pointerCap = el.hasPointerCapture(ev.pointerId);
      if(pointerCap) {
        // We've still got pointer capture
      } else {
        // oops, we've lost pointer capture!
      }
    }

    function init() {
      const el = document.getElementById("target");
      el.onpointerdown = downHandler;
    }
  &lt;/script&gt;
  &lt;body onload="init();"&gt;
    &lt;div id="target"&gt;Touch this element with a pointer.&lt;/div&gt;
  &lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-element-haspointercapture', 'hasPointerCapture()')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.hasPointerCapture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("Element.setPointerCapture()")}}</li>
 <li>{{ domxref("Element.releasePointerCapture()")}}</li>
 <li>{{ domxref("Pointer_events","Pointer Events") }}</li>
</ul>
